<div class="parent" *ngIf="parentForm" [formGroup]="parentForm">
    <div formGroupName="address">
        <div class="street-container">
            <mat-form-field>    
                <input matInput placeholder="street" type="text" formControlName="street">
            </mat-form-field>
        </div>
        <div class="city-container">
            <mat-form-field>
                <input matInput placeholder="zip code" type="number" formControlName="zip">
            </mat-form-field>
            <mat-form-field>    
                <input matInput placeholder="city" type="text" formControlName="city">
            </mat-form-field>
        </div>
    </div>
</div>